Results 1 to 4 of 4

Thread: ckb-next 0.4.0 has invalid spec

  1. #1

    Default ckb-next 0.4.0 has invalid spec

    ckb-next 0.4.0 (from this repo https://build.opensuse.org/package/s...dware/ckb-next) has incorrect path for animations. The issue described at ckb-next tracker.

    In the application settings dialog it says that it is looking for the animations scripts in /usr//usr/libexec/ckb-next-animations, which seems to be the problem.
    ckb-next devs told me to notify repository maintainers:

    You could notify them that their spec needs to be corrected. It should have "-DCMAKE_INSTALL_LIBEXECDIR=libexec", not "-DCMAKE_INSTALL_LIBEXECDIR=%{_libexecdir}"
    I wanted to post a comment for the repository itself, but signing up for the OBS is disabled, so I'm posting here in hope that maintainers will see it

  2. #2
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,585
    Blog Entries
    14

    Default Re: ckb-next 0.4.0 has invalid spec

    Quote Originally Posted by riabovvv View Post
    ckb-next 0.4.0 (from this repo https://build.opensuse.org/package/s...dware/ckb-next) has incorrect path for animations. The issue described at ckb-next tracker.



    ckb-next devs told me to notify repository maintainers:



    I wanted to post a comment for the repository itself, but signing up for the OBS is disabled, so I'm posting here in hope that maintainers will see it
    Don't think so, rather post on the opensuse-factory IRC channel or on the opensuse-factory@opensuse.org mailing list.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  3. #3
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,302
    Blog Entries
    15

    Default Re: ckb-next 0.4.0 has invalid spec

    Quote Originally Posted by riabovvv View Post
    ckb-next 0.4.0 (from this repo https://build.opensuse.org/package/s...dware/ckb-next) has incorrect path for animations. The issue described at ckb-next tracker.



    ckb-next devs told me to notify repository maintainers:



    I wanted to post a comment for the repository itself, but signing up for the OBS is disabled, so I'm posting here in hope that maintainers will see it
    Hi
    That doesn't make sense, libexec isn't a directory off /, the openSUSE macro expands this to /usr/lib (the system libexec directory);

    Code:
    -DCMAKE_INSTALL_LIBEXECDIR=/usr/lib
    So the full path will be;

    Code:
    /usr/lib/ckb-next-animations
    Is it expecting a non-standard location?
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  4. #4

    Default Re: ckb-next 0.4.0 has invalid spec


Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •